Bug 1014239 - faf cannot recognize duplicates of crashes on Fedora 19
faf cannot recognize duplicates of crashes on Fedora 19
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: libreport (Show other bugs)
19
x86_64 Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Michal Toman
Fedora Extras Quality Assurance
abrt_hash:f8fad5403e7efc9821436774744...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-01 10:46 EDT by Frank Ch. Eigler
Modified: 2015-03-22 20:42 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 12:26:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (11.48 KB, text/plain)
2013-10-01 10:46 EDT, Frank Ch. Eigler
no flags Details
File: cgroup (140 bytes, text/plain)
2013-10-01 10:46 EDT, Frank Ch. Eigler
no flags Details
File: core_backtrace (2.36 KB, text/plain)
2013-10-01 10:46 EDT, Frank Ch. Eigler
no flags Details
File: dso_list (5.51 KB, text/plain)
2013-10-01 10:46 EDT, Frank Ch. Eigler
no flags Details
File: environ (3.24 KB, text/plain)
2013-10-01 10:46 EDT, Frank Ch. Eigler
no flags Details
File: exploitable (82 bytes, text/plain)
2013-10-01 10:46 EDT, Frank Ch. Eigler
no flags Details
File: limits (1.29 KB, text/plain)
2013-10-01 10:46 EDT, Frank Ch. Eigler
no flags Details
File: maps (26.73 KB, text/plain)
2013-10-01 10:46 EDT, Frank Ch. Eigler
no flags Details
File: open_fds (102 bytes, text/plain)
2013-10-01 10:46 EDT, Frank Ch. Eigler
no flags Details
File: proc_pid_status (964 bytes, text/plain)
2013-10-01 10:46 EDT, Frank Ch. Eigler
no flags Details
File: var_log_messages (639 bytes, text/plain)
2013-10-01 10:47 EDT, Frank Ch. Eigler
no flags Details
File: core.3614 (2.35 MB, application/octet-stream)
2013-10-01 10:47 EDT, Frank Ch. Eigler
no flags Details
File: core.3624 (2.35 MB, application/octet-stream)
2013-10-01 10:47 EDT, Frank Ch. Eigler
no flags Details
entire ccpp directory (1.26 MB, application/octet-stream)
2013-10-01 11:20 EDT, Frank Ch. Eigler
no flags Details

  None (edit)
Description Frank Ch. Eigler 2013-10-01 10:46:19 EDT
Description of problem:
It was dealing with a firefox-plugin (flash) crash.

Version-Release number of selected component:
libreport-plugin-ureport-2.1.7-1.fc19

Additional info:
reporter:       libreport-2.1.7
backtrace_rating: 4
cmdline:        reporter-ureport
crash_function: sr_rpm_package_free
executable:     /usr/bin/reporter-ureport
kernel:         3.10.10-200.fc19.x86_64
runlevel:       N 3
type:           CCpp
uid:            500

Truncated backtrace:
Thread no. 1 (5 frames)
 #0 sr_rpm_package_free at rpm.c:61
 #1 sr_rpm_package_uniq at rpm.c:260
 #2 sr_abrt_rpm_packages_from_dir at abrt.c:268
 #3 sr_abrt_report_from_dir at abrt.c:355
 #4 libreport_ureport_from_dump_dir at json.c:43
Comment 1 Frank Ch. Eigler 2013-10-01 10:46:23 EDT
Created attachment 806021 [details]
File: backtrace
Comment 2 Frank Ch. Eigler 2013-10-01 10:46:27 EDT
Created attachment 806022 [details]
File: cgroup
Comment 3 Frank Ch. Eigler 2013-10-01 10:46:30 EDT
Created attachment 806023 [details]
File: core_backtrace
Comment 4 Frank Ch. Eigler 2013-10-01 10:46:34 EDT
Created attachment 806024 [details]
File: dso_list
Comment 5 Frank Ch. Eigler 2013-10-01 10:46:37 EDT
Created attachment 806025 [details]
File: environ
Comment 6 Frank Ch. Eigler 2013-10-01 10:46:41 EDT
Created attachment 806026 [details]
File: exploitable
Comment 7 Frank Ch. Eigler 2013-10-01 10:46:45 EDT
Created attachment 806027 [details]
File: limits
Comment 8 Frank Ch. Eigler 2013-10-01 10:46:49 EDT
Created attachment 806028 [details]
File: maps
Comment 9 Frank Ch. Eigler 2013-10-01 10:46:53 EDT
Created attachment 806029 [details]
File: open_fds
Comment 10 Frank Ch. Eigler 2013-10-01 10:46:58 EDT
Created attachment 806030 [details]
File: proc_pid_status
Comment 11 Frank Ch. Eigler 2013-10-01 10:47:01 EDT
Created attachment 806031 [details]
File: var_log_messages
Comment 12 Frank Ch. Eigler 2013-10-01 10:47:16 EDT
Created attachment 806032 [details]
File: core.3614
Comment 13 Frank Ch. Eigler 2013-10-01 10:47:27 EDT
Created attachment 806033 [details]
File: core.3624
Comment 14 Jakub Filak 2013-10-01 11:12:08 EDT
Thank you for the bug report. This bug report has been filed by ABRT and it should be recognized as a duplicate of the older bug #1010948 report but reporter-bugzilla could not recognize the older bug reporter as a duplicate because the older report is marked as private. The ABRT server were responsible for the duplicate detection but the crash [1] does not have any bugzilla URL attached.

Could you please attach an archive with the crash data? You can easily find a file system path to the data by right click on the problem entry in the list of problems in gnome-abrt.


1: https://retrace.fedoraproject.org/faf/problems/1161922/
Comment 15 Frank Ch. Eigler 2013-10-01 11:20:09 EDT
Created attachment 806041 [details]
entire ccpp directory

(I believe almost all of these were already individually attached above.)
Comment 16 Jakub Filak 2013-10-01 11:50:01 EDT
Thank you for the quick response.

These two lines from event_log file show us where is the problem:

2013-10-01-10:47:31> This problem does not have an uReport assigned.
2013-10-01-10:47:31* ('post_report' exited with 1)

The ABRT server were not able to process the crash.

But the file also says that report_uReport event was completed successfully:

2013-10-01-10:42:52> ('report_uReport' completed successfully)

Therefore the problem must be on ABRT server's side.
Comment 17 Fedora End Of Life 2015-01-09 15:03:49 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 18 Fedora End Of Life 2015-02-17 12:26:39 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.